<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle" xmlns="http://www.w3.org/1999/xhtml"
                xmlns:c="http://java.sun.com/jsp/jstl/core">
    <!-- param = currentProfile -->
    <g:column id="oidColumn" sortBy="#{'localOid'}" filterBy="#{'localOid'}" filterEvent="onkeyup">
        <ui:define name="header">#{messages['gazelle.hl7mpr.profileOid']}</ui:define>
        <a href="../viewProfile.seam?oid=#{currentProfile.oid}">#{currentProfile.oid}</a>
    </g:column>
    <g:column id="domainColumn" sortBy="#{'localDomain.localKeyword'}" filterBy="#{'localDomain.localKeyword'}" filterEvent="onkeyup"
              sortOrder="ascending">
        <ui:define name="header">#{messages['gazelle.hl7mpr.Domain']}</ui:define>
        #{currentProfile.domain.keyword}
    </g:column>
    <g:column id="actorColumn" sortBy="#{'localActor.localKeyword'}" filterBy="#{'localActor.localKeyword'}" filterEvent="onkeyup">
        <ui:define name="header">#{messages['gazelle.hl7mpr.Actor']}</ui:define>
        #{currentProfile.actor.keyword}
    </g:column>
    <g:column id="transactionColumn" sortBy="#{'localTransaction.localKeyword'}" filterBy="#{'localTransaction.localKeyword'}" filterEvent="onkeyup">
        <ui:define name="header">#{messages['gazelle.hl7mpr.Transaction']}</ui:define>
        #{currentProfile.transaction.keyword}
    </g:column>
    <g:column id="triggerEventColumn" sortBy="#{'localTriggerEvent'}" filterBy="#{'localTriggerEvent'}" filterEvent="onkeyup">
        <ui:define name="header">#{messages['gazelle.hl7mpr.TriggerEvent']}</ui:define>
        #{currentProfile.triggerEvent}
        <h:outputText rendered="#{ not empty currentProfile.messageOrderControlCode}"> ( #{currentProfile.messageOrderControlCode} )</h:outputText>
    </g:column>
    <g:column id="versionColumn" sortBy="#{'localHl7Version'}" filterBy="#{'localHl7Version'}" filterEvent="onkeyup">
        <ui:define name="header">#{messages['gazelle.hl7mpr.Hl7Version']}</ui:define>
        #{messages['gazelle.hl7.validator.HL7v']}#{currentProfile.hl7Version}
    </g:column>
<!--    <g:column id="formatColumn">-->
<!--        <ui:define name="header">#{messages['net.ihe.gazelle.hl7.Format']}</ui:define>-->
<!--        #{hl7MPManagerBean.getFormat(currentProfile)}-->
<!--    </g:column>-->
</ui:composition>
